#include <cstdio>
using namespace std;
int main()
{
	long long T, a, b, k;
	scanf("%lld", &T);
	while (T--)
	{
		scanf("%lld%lld%lld", &a, &b, &k);
		if (k & 1)
			printf("%lld\n", (a - b)*(k >> 1) + a);
		else
			printf("%lld\n", (a - b)*(k >> 1));
	}
	return 0;
}